$! compile and link antiword
$! optional arguments:
$!  p1 = list of arguments to cc/DEFINE=    [default: NDEBUG]
$!  p2 = "LINK" to just link            
$!  p3 = C compile command, e.g. CC/standard=vaxc  [default: CC/DECC]
$!
$ vax = f$getsyi("ARCH_TYPE").eq.1  
$ alpha = f$getsyi("ARCH_TYPE").eq.2
$ itanium = f$getsyi("ARCH_TYPE").eq.3
$ arch_name = f$getsyi("ARCH_NAME")
$ smm = f$getsyi("HW_MODEL")
$ if p3.nes.""
$ then 
$  CC := 'p3'
$ else
$  CC := CC
$  its_decc = (f$search("SYS$SYSTEM:DECC$COMPILER.EXE") .nes. "")
$  its_vaxc = .not. its_decc .and. (F$Search("SYS$System:VAXC.EXE") .nes. "")
$  its_gnuc = .not. (its_decc .or. its_vaxc) .and. (f$trnlnm("gnu_cc") .nes. "")
$  IF F$TRNLNM("DECC$CC_DEFAULT").EQS."/DECC"
$   THEN 
$     CC := CC/DECC
$   ENDIF
$  if its_gnuc then CC := GCC/NOCASE
$ endif
$ defines = p1
$ if defines .eqs. "" then defines="(NDEBUG,__STDC_ISO_10646__)"
$ if p2.eqs."LINK" then goto dolink
$ if (.not. (its_decc .or. its_vaxc .or. its_gnuc)) then goto CC_ERR
$ write sys$output "The C compile command used will be ",cc
$! the following in fact depends on VAXC/DECC version ...
$ if arch_name .eqs. "VAX" then assign sys$library sys
$ CC /DEFINE='defines' main_u
$ CC /DEFINE='defines' asc85enc
$ CC /DEFINE='defines' blocklist
$ CC /DEFINE='defines' chartrans
$ CC /DEFINE='defines' datalist
$ CC /DEFINE='defines' depot
$ CC /DEFINE='defines' dib2eps
$ CC /DEFINE='defines' doclist
$ CC /DEFINE='defines' fail
$ CC /DEFINE='defines' finddata
$ CC /DEFINE='defines' findtext
$ CC /DEFINE='defines' fmt_text
$ CC /DEFINE='defines' fontlist
$ CC /DEFINE='defines' fonts
$ CC /DEFINE='defines' fonts_u
$ CC /DEFINE='defines' hdrftrlist
$ CC /DEFINE='defines' imgexam
$ CC /DEFINE='defines' imgtrans
$ CC /DEFINE='defines' jpeg2eps
$ CC /DEFINE='defines' listlist
$ CC /DEFINE='defines' misc
$ CC /DEFINE='defines' notes
$ CC /DEFINE='defines' options
$ CC /DEFINE='defines' out2window
$ CC /DEFINE='defines' output
$ CC /DEFINE='defines' pdf
$ CC /DEFINE='defines' pictlist
$ CC /DEFINE='defines' png2eps
$ CC /DEFINE='defines' postscript
$ CC /DEFINE='defines' prop0
$ CC /DEFINE='defines' prop2
$ CC /DEFINE='defines' prop6
$ CC /DEFINE='defines' prop8
$ CC /DEFINE='defines' properties
$ CC /DEFINE='defines' propmod
$ CC /DEFINE='defines' rowlist
$ CC /DEFINE='defines' sectlist
$ CC /DEFINE='defines' stylelist
$ CC /DEFINE='defines' stylesheet
$ CC /DEFINE='defines' summary
$ CC /DEFINE='defines' tabstop
$ CC /DEFINE='defines' text
$ CC /DEFINE='defines' unix
$ CC /DEFINE='defines' utf8
$ CC /DEFINE='defines' word2text
$ CC /DEFINE='defines' worddos
$ CC /DEFINE='defines' wordlib
$ CC /DEFINE='defines' wordmac
$ CC /DEFINE='defines' wordole
$ CC /DEFINE='defines' wordwin
$ CC /DEFINE='defines' xmalloc
$ CC /DEFINE='defines' xml
$ if f$search("antiword.olb").nes."" then -
$ DELETE/NOLOG antiword.olb;*
$ Library antiword.olb/create/object *.obj
$dolink:
$ if arch_name .eqs. "VAX"
$ then
$  if its_vaxc
$  then
$  LINK/EXEC=ANTIWORD antiword/libr/include=main_u,antiword/library,-
   sys$input/option
   sys$share:vaxcrtl/shareable
$  else
$  LINK/EXEC=ANTIWORD antiword/libr/include=main_u,antiword/library,-
   sys$input/option
   sys$share:decc$crtl/shareable
$  endif
$  else   !alpha and maybe itanium
$   LINK/EXEC=ANTIWORD antiword/libr/include=main_u,antiword/library
$  endif
$exit:
$ EXIT
$CC_ERR:
$ write sys$output "There seems to be no C compiler available."
$ exit 0
